This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 123511 - ATI Radeon 9200SE: screen goes blank when running OpenGL (DRM problem?)
ATI Radeon 9200SE: screen goes blank when running OpenGL (DRM problem?)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-18 18:43 EDT by H. Peter Anvin
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-06 14:11:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description H. Peter Anvin 2004-05-18 18:43:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.6)
Gecko/20040510

Description of problem:
Whenever an OpenGL program runs, the screen turns completely black. 
The system isn't crashed, per se; if you can kill the OpenGL program
the screen returns to normal.

The system has an ATI Radeon 9200SE with a Samsung Syncmaster 213T on
the DVI port.


Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358, xorg-x11-6.7.0-2

How reproducible:
Always

Steps to Reproduce:
1. Run any OpenGL program, e.g. keuphoria.kss.
2.
3.
    

Additional info:
Comment 1 Martin Hutchinson 2004-06-02 18:56:25 EDT
I get a similar problem; think mine is DRI related.
The screen goes glack for glxgears, but yet prints out the number of
FPS to console still... My card is different (SiS 630), but from what
you've said above the problem sounds the same.

Kernel Version: 2.6.6-1.406 (i686)
Xorg Version: xorg-x11-6.7.0-3
Comment 2 Adam Watson 2004-06-17 04:23:16 EDT
Mine locks up after running a GL app for about 20 seconds. 
 
FC2: Linux version 2.6.6-1.435 (bhcompile@tweety.build.redhat.com) 
(gcc version 3.3.3 20040412 (Red Hat Linux 3.3.3-7)) #1 Mon Jun 14 
09:09:07 EDT 2004 
 
Video card: Sapphire Radeon 9200se 256MB with TV Out (no DVI) 
Comment 3 Mike A. Harris 2005-03-06 14:11:16 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.